List per-case results for a run
GET
/
v1
/
knowledge-base
/
evals
/
runs
/
{run_id}
/
results
List per-case results for a run
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-base/evals/runs/{run_id}/results \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_snapshot": "<string>",
"expected_answer_snapshot": "<string>",
"generated_answer": "<string>",
"answer_score": 123,
"completeness_score": 123,
"passed": true,
"judge_reasoning": "<string>",
"judge_raw_output": "<string>",
"criteria_raw_output": "<string>",
"error_message": "<string>",
"retrieval_latency_ms": 123,
"generation_latency_ms": 123,
"judge_latency_ms": 123,
"generation_input_tokens": 123,
"generation_output_tokens": 123,
"generation_cost_usd": 123,
"judge_input_tokens": 123,
"judge_output_tokens": 123,
"judge_cost_usd": 123,
"created_at": "2023-11-07T05:31:56Z",
"retrieved_chunks": [
{
"chunk_id": "<string>",
"kb_id": "<string>",
"document_id": "<string>",
"version_id": "<string>",
"document_title": "<string>",
"content_preview": "<string>",
"score": 123,
"chunk_index": 123,
"judged_relevant": true,
"relevance_reasoning": "<string>"
}
],
"criteria_results": [
{
"criterion": "<string>",
"passed": true,
"reasoning": "<string>"
}
],
"content_redacted": false
}
],
"has_more": true,
"next_cursor": "<string>"
}Authorizations
Path Parameters
Was this page helpful?
⌘I
List per-case results for a run
curl --request GET \
--url https://api-sandbox.featherhq.com/v1/knowledge-base/evals/runs/{run_id}/results \
--header 'x-api-key: <api-key>'{
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"test_case_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question_snapshot": "<string>",
"expected_answer_snapshot": "<string>",
"generated_answer": "<string>",
"answer_score": 123,
"completeness_score": 123,
"passed": true,
"judge_reasoning": "<string>",
"judge_raw_output": "<string>",
"criteria_raw_output": "<string>",
"error_message": "<string>",
"retrieval_latency_ms": 123,
"generation_latency_ms": 123,
"judge_latency_ms": 123,
"generation_input_tokens": 123,
"generation_output_tokens": 123,
"generation_cost_usd": 123,
"judge_input_tokens": 123,
"judge_output_tokens": 123,
"judge_cost_usd": 123,
"created_at": "2023-11-07T05:31:56Z",
"retrieved_chunks": [
{
"chunk_id": "<string>",
"kb_id": "<string>",
"document_id": "<string>",
"version_id": "<string>",
"document_title": "<string>",
"content_preview": "<string>",
"score": 123,
"chunk_index": 123,
"judged_relevant": true,
"relevance_reasoning": "<string>"
}
],
"criteria_results": [
{
"criterion": "<string>",
"passed": true,
"reasoning": "<string>"
}
],
"content_redacted": false
}
],
"has_more": true,
"next_cursor": "<string>"
}